Bug 871119 - /etc/sysconfig/i18n is no longer used
Summary: /etc/sysconfig/i18n is no longer used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-29 16:53 UTC by Miloslav Trmač
Modified: 2015-04-12 23:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:37:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Miloslav Trmač 2012-10-29 16:53:01 UTC
Description of problem:
systemd has uses /etc/locale.conf instead of /etc/sysconfig/i18n if the former is present (see https://fedorahosted.org/fesco/ticket/963) and in the future will even entirely drop the support for /etc/sysconfig/i18n http://cgit.freedesktop.org/systemd/systemd/commit/?id=cae356ad49b505a5172d4dbb830d7ec8f32a9953 ).

Please update the tool to edit /etc/locale.conf  if it exists instead of /etc/sysconfig/i18n; if possible, it should be shipped in F18.

Version-Release number of selected component (if applicable):
system-config-language-1.3.5-13.fc19.src.rpm (by code inspection only)

Comment 1 Pravin Satpute 2012-10-30 05:46:40 UTC
Using s-c-l presently we are setting, 
SYSFONT as well in /etc/sysconfig/i18n, so what about same in new locale.conf file?

do we need SYSFONT attribute now?

Comment 2 Miloslav Trmač 2012-10-30 14:35:00 UTC
(In reply to comment #1)
> Using s-c-l presently we are setting, 
> SYSFONT as well in /etc/sysconfig/i18n, so what about same in new
> locale.conf file?
> 
> do we need SYSFONT attribute now?

I think the corresponding configuration has moved to /etc/vconsole.conf under new names, but please check with the systemd maintainers.

Comment 3 Fedora Update System 2012-11-02 12:52:06 UTC
system-config-language-1.3.5-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-14.fc18

Comment 4 Fedora Update System 2012-11-02 12:52:40 UTC
system-config-language-1.3.5-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-14.fc17

Comment 5 Fedora Update System 2012-11-02 18:37:53 UTC
Package system-config-language-1.3.5-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.3.5-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17506/system-config-language-1.3.5-14.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-20 15:37:50 UTC
system-config-language-1.3.5-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.